\documentclass[8pt]{article}
\usepackage{array}

\begin{document}
\title{Progress of the SPLSPC Toolbox}

	
\date{\today}
\author{Benoit Goepfert}

\maketitle

All the tests are computed on a DELL Precision 690 (RAM 16 Go, processor 3Ghz).

\section{Overdetermined systems}

\subsection{Experiments}
\begin{itemize}

\item $A= m \times n$ with $m > n$

\item restart $= 1000$

\item max\_it $= 3000$

\item tol $= 1.0 \times 10^{-6}$ (excepted K. Morikuni : tol $= 1.0 \times 10^{-8}$)

\item $x_0 = (0,...,0)^T$

\item $b = rand(m,1)$

\item $NOP$ = no preconditioner ($A^T$ used instead), $RIF$ = Robust Incomplete Factorization, $GREV$ = Greville's method, $NRSOR$ = Successive Over Relaxation Method with Normal Residual

\item $RIF_{exp}$, $GREV_{exp}$ and $NRSOR_{exp}$ are the expected results found by Dr Yin, Dr Cui and Mr Morikuni in their papers

\item $\backslash$ is the backslash function in Scilab (a direct method used to solve linear systems and least square problems)  

\item $BA$-$GMRES$ alone, with $GREV$ and with $RIF$ computed in C++

\item $BA$-$GMRES$ with $NRSOR$ computed in Fortran 90

\item $NOP$, $RIF$ and $GREV$ use $\|Br_k\|_2 = \|Br_0\|_2$ as a convergence criterion in $BA$-$GMRES$

\item $NRSOR$ uses $\|A^Tr_k\|_2 = \|A^Tb\|_2$ as a convergence criterion in $BA$-$GMRES$

\item For $NRSOR$, the number of iterations corresponds to the number of outer iterations

\item dnc = do not converge within the given parameters (for $\backslash$, understand do not find a solution within an acceptable time)

\end{itemize}

\subsubsection{Matrices of Dr Yin}
	
\begin{tabular}{|c|c||c||c|c|c|}
	\hline
	Solver & & \multicolumn{4}{c|}{$BA$-$GMRES$}\\	
	\hline
	Preconditoner & & $RIF_{exp}$ & $NOP$ & $RIF$ & $\backslash$ \\
	\hline       
    RANDL1               & \multicolumn{5}{c|}{} \\
    \hline
    $30000 \times 3000$  & nb\_iter        & 14   & 133  & 14   & dnc \\
   	$(\tau_d = 0.5)$     & cpu\_tps prec.  & -    & -    & 0.58 & -   \\ 
   	                     & cpu\_tps method & 4.99 & 0.34 & 0.03 & -   \\  
	\hline
    RANDL2               & \multicolumn{5}{c|}{} \\
    \hline
    $30000 \times 3000$  & nb\_iter        & 21   & 716  & 26   & dnc \\
   	$(\tau_d = 0.7)$     & cpu\_tps prec.  & -    & -    & 0.6  & -   \\ 
   	                     & cpu\_tps method & 5.11 & 4.57 & 0.07 & -   \\  
	\hline
    RANDL3               & \multicolumn{5}{c|}{} \\
    \hline
    $30000 \times 3000$  & nb\_iter        & 60   & dnc & 59    & dnc \\
   	$(\tau_d = 0.8)$     & cpu\_tps prec.  & -    & -   & 0.61  & -   \\ 
   	                     & cpu\_tps method & 5.47 & -   & 0.19  & -   \\  
	\hline
    RANDL4               & \multicolumn{5}{c|}{} \\
    \hline
    $30000 \times 3000$  & nb\_iter        & 82   & dnc & 111  & dnc \\
   	$(\tau_d = 0.5)$     & cpu\_tps prec.  & -    & -   & 0.67 & -   \\ 
   	                     & cpu\_tps method & 6.62 & -   & 1.19 & -   \\  
	\hline
    RANDL5               & \multicolumn{5}{c|}{} \\
    \hline
    $30000 \times 3000$  & nb\_iter        & 299   & dnc & 153  & dnc \\
   	$(\tau_d = 0.9)$     & cpu\_tps prec.  & -     & -   & 0.66 & -   \\ 
   	                     & cpu\_tps method & 13.91 & -   & 1.44 & -   \\  
	\hline
    RANDL6               & \multicolumn{5}{c|}{} \\
    \hline
    $30000 \times 3000$  & nb\_iter        & 318   & dnc & 138  & dnc \\
   	$(\tau_d = 0.07)$    & cpu\_tps prec.  & -     & -   & 1.63 & -   \\ 
   	                     & cpu\_tps method & 26.73 & -   & 3.18 & -   \\  
	\hline					
    RANDL7               & \multicolumn{5}{c|}{} \\
    \hline
    $30000 \times 3000$  & nb\_iter        & 362   & dnc & 149  & dnc \\
   	$(\tau_d = 0.02)$    & cpu\_tps prec.  & -     & -   & 3.42 & -   \\ 
   	                     & cpu\_tps method & 37.26 & -   & 4.09 & -   \\  
	\hline		
\end{tabular}

\subsubsection{Matrices of Dr Cui (full rank)}
	
\begin{tabular}{|c|c||c|c||c|c|c|c|}
	\hline
	Solver & & \multicolumn{6}{c|}{$BA$-$GMRES$}\\	
	\hline
	Preconditoner & & $RIF_{exp}$ & $GREV_{exp}$ & $NOP$ & $RIF$ & $GREV$ & $\backslash$ \\
	\hline       
    vtp\_base           & & \multicolumn{6}{c|}{} \\
    \hline
    $346 \times 198$    & nb\_iter        & 5    & 4    & 97   & 20   & 67   & -      \\
   	$(\tau_{d1} = 1.e-9)$ & cpu\_tps prec.  & -    & 0.03 & -    & 0.00 & 0.02 & -      \\ 
   	$(\tau_{d2} = 1.e-6)$ & cpu\_tps method & 0.04 & 0.00 & 0.01 & 0.02 & 0.02 & 0.005* \\  
	\hline
    capri               & & \multicolumn{6}{c|}{} \\
    \hline
    $482 \times 271$    & nb\_iter        & 9    & 17   & 185  & 109  & 98   & -     \\ 
   	$(\tau_{d1} = 1.e-4)$ & cpu\_tps prec.  & -    & 0.03 & -    & 0.00 & 0.03 & -     \\ 
   	$(\tau_{d2} = 1.e-3)$ & cpu\_tps method & 0.07 & 0.01 & 0.03 & 0.04 & 0.02 & 0.01* \\  
	\hline	
    scfxm1              & & \multicolumn{6}{c|}{} \\
    \hline
    $600 \times 330$    & nb\_iter        & 7    & 17   & 153  & 27   & 34   & -      \\
   	$(\tau_{d1} = 1.e-5)$ & cpu\_tps prec.  & -    & 0.05 & -    & 0.01 & 0.01 & -      \\ 
   	$(\tau_{d2} = 1.e-3)$ & cpu\_tps method & 0.05 & 0.01 & 0.02 & 0.01 & 0.01 & 0.009* \\  
	\hline	
    scfxm2              & & \multicolumn{6}{c|}{} \\
    \hline
    $1200 \times 660$   & nb\_iter        & 12   & 27   & 215  & 43   & 63   & -      \\
   	$(\tau_{d1} = 1.e-5)$ & cpu\_tps prec.  & -    & 0.12 & -    & 0.03 & 0.05 & -      \\ 
   	$(\tau_{d2} = 1.e-3)$ & cpu\_tps method & 0.26 & 0.06 & 0.06 & 0.04 & 0.05 & 0.025* \\  
	\hline	
    perold              & & \multicolumn{6}{c|}{} \\
    \hline
    $1560 \times 625$   & nb\_iter        & 45   & 17   & 270  & 76    & 128   & -    \\
   	$(\tau_{d1} = 1.e-4)$ & cpu\_tps prec.  & -    & 0.17 & -    & 0.03  & 0.02  & -    \\ 
   	$(\tau_{d2} = 1.e-2)$ & cpu\_tps method & 0.36 & 0.04 & 0.09 & 0.04* & 0.05* & 0.11 \\  
	\hline	
    scfxm3              & & \multicolumn{6}{c|}{} \\
    \hline
    $1800 \times 990$   & nb\_iter        & 12   & 7    & 267  & 56   & 55   & -      \\
   	$(\tau_{d1} = 1.e-5)$ & cpu\_tps prec.  & -    & 0.30 & -    & 0.05 & 0.05 & -      \\ 
   	$(\tau_{d2} = 1.e-4)$ & cpu\_tps method & 0.46 & 0.04 & 0.16 & 0.17 & 0.16 & 0.042* \\  
	\hline	
    maros               & & \multicolumn{6}{c|}{} \\
    \hline
    $1966 \times 846$   & nb\_iter        & 10   & 3    & 217   & 84   & 63   & -     \\
   	$(\tau_{d1} = 1.e-7)$ & cpu\_tps prec.  & -    & 1.02 & -     & 0.08 & 0.15 & -     \\ 
   	$(\tau_{d2} = 1.e-6)$ & cpu\_tps method & 1.13 & 0.03 & 0.08* & 0.14 & 0.33 & 0.103 \\  
	\hline	
    pilot\_we           & & \multicolumn{6}{c|}{} \\
    \hline
    $2928 \times 722$   & nb\_iter        & 12   & 41   & 318  & 12   & 171  & -      \\
   	$(\tau_{d1} = 1.e-5)$ & cpu\_tps prec.  & -    & 0.10 & -    & 0.05 & 0.02 & -      \\ 
   	$(\tau_{d2} = 1.e-1)$ & cpu\_tps method & 0.40 & 0.10 & 0.14 & 0.07 & 0.06 & 0.076* \\  
	\hline	
    stocfor2            & & \multicolumn{6}{c|}{} \\
    \hline
    $3045 \times 2157$  & nb\_iter        & 16   & 5     & 242  & 96   & 88   & -      \\
   	$(\tau_{d1} = 1.e-7)$ & cpu\_tps prec.  & -    & 10.55 & -    & 1.21 & 1.94 & -      \\ 
   	$(\tau_{d2} = 1.e-5)$ & cpu\_tps method & 11.5 & 0.13  & 0.25 & 1.31 & 1.36 & 0.065* \\   
	\hline	
    bnl2                & & \multicolumn{6}{c|}{} \\
    \hline
    $4486 \times 2324$  & nb\_iter        & 127  & 114  & 515  & 108  & 186   & -     \\
   	$(\tau_{d1} = 1.e-2)$ & cpu\_tps prec.  & -    & 0.4  & -    & 0.14 & 0.07  & -     \\ 
   	$(\tau_{d2} = 1.e-1)$ & cpu\_tps method & 2.79 & 0.82 & 1.40 & 1.23 & 0.29* & 1.296 \\  
	\hline	
    pilot               & & \multicolumn{6}{c|}{} \\
    \hline
    $4860 \times 1441$  & nb\_iter        & 359  & 18   & 332  & 223   & 94   & -     \\
   	$(\tau_{d1} = 1.e-1)$ & cpu\_tps prec.  & -    & 1.54 & -    & 0.09  & 0.35 & -     \\ 
   	$(\tau_{d2} = 1.e-2)$ & cpu\_tps method & 4.57 & 0.18 & 0.34 & 0.24* & 0.71 & 15.68 \\  
	\hline	
    d2q06c              & & \multicolumn{6}{c|}{} \\
    \hline
    $5831 \times 2171$  & nb\_iter        & 19    & 32   & 543  & 24    & 239  & -    \\
   	$(\tau_{d1} = 1.e-5)$ & cpu\_tps prec.  & -     & 4.27 & -    & 0.94  & 0.38 & -    \\ 
   	$(\tau_{d2} = 1.e-3)$ & cpu\_tps method & 10.68 & 0.88 & 1.49 & 0.40* & 2.89 & 6.76 \\  
	\hline	
    80bau3b             & & \multicolumn{6}{c|}{} \\
    \hline
    $11934 \times 2262$ & nb\_iter        & 26   & 28   & 64    & 39   & 21   & -    \\
   	$(\tau_{d1} = 1.e-6)$  & cpu\_tps prec.  & -    & 0.46 & -     & 0.13 & 0.09 & -    \\ 
   	$(\tau_{d2} = 0)$      & cpu\_tps method & 0.54 & 0.06 & 0.04* & 0.03 & 0.02 & 0.29 \\  
	\hline														
\end{tabular}

\subsubsection{Matrices of Dr Cui (rank deficient)}
	
\begin{tabular}{|c|c||c||c|c|c|}
	\hline
	Solver & & \multicolumn{4}{c|}{$BA$-$GMRES$}\\	
	\hline
	Preconditoner & & $GREV_{exp}$ & $NOP$ & $GREV$ & $\backslash$ \\
	\hline       
    beaflw              & & \multicolumn{4}{c|}{} \\
    \hline
    $500 \times 492$    & nb\_iter        & 209  & 302  & 19    & -    \\
   	$(\tau_d = 1.e-5)$  & cpu\_tps prec.  & 1.22 & -    & 0.07  & -    \\  
   	$(\tau_s = 1.e-10)$ & cpu\_tps method & 1.23 & 0.13 & 0.02* & 6.32 \\  
	\hline
    beause              & & \multicolumn{4}{c|}{} \\
    \hline
    $505 \times 492$    & nb\_iter        & 20   & 308  & 16    & -    \\
   	$(\tau_d = 1.e-5)$  & cpu\_tps prec.  & 1.16 & -    & 0.06  & -    \\  
   	$(\tau_s = 1.e-11)$ & cpu\_tps method & 0.06 & 0.13 & 0.01* & 6.65 \\  
	\hline
    cycle               & & \multicolumn{4}{c|}{} \\
    \hline
    $3371 \times 1890$  & nb\_iter        & 27   & 508   & 206  & -    \\
   	$(\tau_d = 1.e-4)$  & cpu\_tps prec.  & 2.17 & -     & 0.31 & -    \\  
   	$(\tau_s = 1.e-7)$  & cpu\_tps method & 0.51 & 1.04* & 1.98 & 2.13 \\  
	\hline
    Pd\_rhs             & & \multicolumn{4}{c|}{} \\
    \hline
    $5804 \times 4371$  & nb\_iter        & 3    & 147  & crash & -    \\
   	$(\tau_d = 1.e-4)$  & cpu\_tps prec.  & 0.79 & -    & -     & -    \\  
   	$(\tau_s = 1.e-8)$  & cpu\_tps method & 0.01 & 0.49 & -     & 0.07 \\  
	\hline
    model9             & & \multicolumn{4}{c|}{} \\
    \hline
    $10939 \times 2879$ & nb\_iter        & 12   & 478   & 280  & -    \\
   	$(\tau_d = 1.e-2)$  & cpu\_tps prec.  & 0.97 & -     & 0.20 & -    \\ 
   	$(\tau_s = 1.e-6)$  & cpu\_tps method & 0.15 & 1.85* & 2.07 & 2.02 \\ 
	\hline
    landmark            & & \multicolumn{4}{c|}{} \\
    \hline
    $71952 \times 2673$ & nb\_iter        & 143  & dnc & 8     & -      \\
   	$(\tau_d = 1.e-1)$  & cpu\_tps prec.  & 2.83 & -   & 0.72  & -      \\  
   	$(\tau_s = 1.e-8)$  & cpu\_tps method & 7.54 & -   & 0.3*  & 33.209 \\  
	\hline
\end{tabular}

\subsubsection{Matrices of Keiichi Morikuni (full rank) - part 1}
	
\begin{tabular}{|c|c||c|c||c|c|c|c|}
	\hline
	Solver & & \multicolumn{6}{c|}{$BA$-$GMRES$}\\	
	\hline
	Preconditoner & & $RIF_{exp}$ & $NRSOR_{exp}$ & $NOP$ & $RIF$ & $NRSOR$ & $\backslash$ \\
	\hline       
    RANDL1              & & \multicolumn{6}{c|}{$(\omega = 1.5, nb_{in} = 5)$} \\
    \hline
    $30000 \times 3000$ & nb\_iter        & 56   & 9    & 179  & 13   & 9    & -     \\
   	$(\tau_d = 0.3)$    & cpu\_tps prec.  & 0.06 & -    & -    & 0.54 & -    & -     \\ 
   	                    & cpu\_tps method & 0.05 & 0.02 & 0.43 & 0.04 & 0.06 & 374.3 \\  
	\hline
    RANDL2              & & \multicolumn{6}{c|}{$(\omega = 1.7, nb_{in} = 9)$} \\
    \hline
    $30000 \times 3000$ & nb\_iter        & 130  & 15   & 950  & 22   & 15  & dnc \\
   	$(\tau_d = 0.2)$    & cpu\_tps prec.  & 0.16 & -    & -    & 0.57 & -   & -   \\ 
   	                    & cpu\_tps method & 0.04 & 0.06 & 7.66 & 0.11 & 0.1 & -   \\  
	\hline
    RANDL3              & & \multicolumn{6}{c|}{$(\omega = 1.8, nb_{in} = 10)$} \\
    \hline
    $30000 \times 3000$ & nb\_iter        & 144  & 41   & 2050  & 28  & 41   & dnc \\
   	$(\tau_d = 0.04)$   & cpu\_tps prec.  & 0.18 & -    & -     & 0.8 & -    & -   \\ 
   	                    & cpu\_tps method & 0.14 & 0.16 & 32.98 & 0.6 & 0.24 & -   \\  
	\hline	
    RANDL4              & & \multicolumn{6}{c|}{$(\omega = 1.9, nb_{in} = 15)$} \\
    \hline
    $30000 \times 3000$ & nb\_iter        & 334  & 126  & 2601  & 46   & 128  & dnc \\
   	$(\tau_d = 0.009)$  & cpu\_tps prec.  & 0.50 & -    & -     & 1.77 & -    & -   \\ 
   	                    & cpu\_tps method & 0.59 & 0.73 & 52.15 & 1.25 & 1.03 & -   \\  
	\hline	
    RANDL5              & & \multicolumn{6}{c|}{$(\omega = 1.4, nb_{in} = 6)$} \\
    \hline
    $30000 \times 3000$ & nb\_iter        & 569  & 339  & 2758 & 116  & 339  & dnc \\
   	$(\tau_d = 0.005)$  & cpu\_tps prec.  & 0.65 & -    & -    & 2.63 & -    & -   \\ 
   	                    & cpu\_tps method & 1.52 & 1.19 & 57.8 & 3.29 & 2.27 & -   \\  
	\hline	
    RANDL6              & & \multicolumn{6}{c|}{$(\omega = 1.3, nb_{in} = 6)$} \\
    \hline
    $30000 \times 3000$ & nb\_iter        & 787  & 422  & 2820  & 130  & 422  & dnc \\
   	$(\tau_d = 0.002)$  & cpu\_tps prec.  & 1.18 & -    & -     & 4.52 & -    & -   \\ 
   	                    & cpu\_tps method & 2.75 & 1.62 & 60.41 & 3.68 & 3.08 & -   \\  
	\hline	
	RANDL7              & & \multicolumn{6}{c|}{$(\omega = 1.2, nb_{in} = 6)$} \\
    \hline
    $30000 \times 3000$ & nb\_iter        & 1125 & 499  & 2806  & 298  & 499  & dnc \\
   	$(\tau_d = 0.002)$  & cpu\_tps prec.  & 0.98 & -    & -     & 5.28 & -    & -   \\ 
   	                    & cpu\_tps method & 5.22 & 2.11 & 61.27 & 8.84 & 4.09 & -   \\  
	\hline					
\end{tabular}

\subsubsection{Matrices of Keiichi Morikuni (full rank) - part 2}
	
\begin{tabular}{|c|c||c|c||c|c|c|c|}
	\hline
	Solver & & \multicolumn{6}{c|}{$BA$-$GMRES$}\\	
	\hline
	Preconditoner & & $RIF_{exp}$ & $NRSOR_{exp}$ & $NOP$ & $RIF$ & $NRSOR$ & $\backslash$ \\
	\hline       
    well1033            & & \multicolumn{6}{c|}{$(\omega = 1.0, nb_{in} = 1)$} \\
    \hline
    $1033 \times 320$   & nb\_iter        & 98    & 65    & 99   & 99   & 65   & -      \\
   	$(\tau_d = 0.8)$    & cpu\_tps prec.  & 0.006 & -     & -    & 0.00 & 0.00 & -      \\ 
   	                    & cpu\_tps method & 0.003 & 0.002 & 0.01 & 0.02 & 0.01 & 0.006* \\  
	\hline
    illc1033            & & \multicolumn{6}{c|}{$(\omega = 1.0, nb_{in} = 1)$} \\
    \hline
    $1033 \times 320$   & nb\_iter        & 98    & 152   & 272  & 104    & 152  & -     \\
   	$(\tau_d = 0.8)$    & cpu\_tps prec.  & 0.006 & -     & -    & 0.00  & 0.02 & -     \\ 
   	                    & cpu\_tps method & 0.003 & 0.007 & 0.06 & 0.02* & 0.02 & 0.005* \\  
	\hline
    well1850            & & \multicolumn{6}{c|}{$(\omega = 1.8, nb_{in} = 5)$} \\
    \hline
    $1850 \times 712$   & nb\_iter        & 151   & 62    & 369  & 146  & 61   & -      \\
   	$(\tau_d = 0.2)$    & cpu\_tps prec.  & 0.020 & -     & -    & 0.02 & 0.02 & -      \\ 
   	                    & cpu\_tps method & 0.014 & 0.012 & 0.17 & 0.05 & 0.02 & 0.022* \\  
	\hline
    illc1850            & & \multicolumn{6}{c|}{$(\omega = 1.4, nb_{in} = 4)$} \\
    \hline
    $1850 \times 712$   & nb\_iter        & 285   & 245   & 702  & 371  & 245  & -      \\
   	$(\tau_d = 0.2)$    & cpu\_tps prec.  & 0.014 & -     & -    & 0.03 & 0.04 & -      \\ 
   	                    & cpu\_tps method & 0.037 & 0.055 & 0.57 & 0.20 & 0.10 & 0.022* \\  
	\hline
\end{tabular}
	
\subsubsection{Matrices of Keiichi Morikuni (rank deficient)}
	
\begin{tabular}{|c|c||c||c|c|c|}	
    Maragal\_3          & & \multicolumn{4}{c|}{} \\
    \hline
    $1682 \times 858$   & nb\_iter        & 88   & 523  & 86    & -     \\
   	$(\omega = 1.2)$    & cpu\_tps prec.  & -    & -    & 0.01  & -     \\ 
   	$(nb_{in} = 3)$     & cpu\_tps method & 0.02 & 0.42 & 0.02* & 35.13 \\  
	\hline
    Maragal\_4          & & \multicolumn{4}{c|}{} \\
    \hline
    $1964 \times 1027$  & nb\_iter        & 141  & 605  & 158   & -     \\
   	$(\omega = 1.1)$    & cpu\_tps prec.  & -    & -    & 0.07  & -     \\ 
   	$(nb_{in} = 2)$     & cpu\_tps method & 0.04 & 0.72 & 0.05* & 103.2 \\  
	\hline	
    Maragal\_5          & & \multicolumn{4}{c|}{} \\
    \hline
    $4654 \times 3296$  & nb\_iter        & 151  & dnc & dnc & dnc \\
   	$(\omega = 1.5)$    & cpu\_tps prec.  & -    & -   & -   & -    \\ 
   	$(nb_{in} = 5)$     & cpu\_tps method & 0.29 & -   & -   & -   \\  
	\hline																					
\end{tabular}  						

\section{Underdetermined systems}

\subsection{Experiments}
\begin{itemize}

\item $A= m \times n$ with $m < n$

\item restart $= 1000$

\item max\_it $= 3000$

\item tol $= 1.0 \times 10^{-6}$

\item $x_0 = (0,...,0)^T$

\item $b = Ax^*$ with $x^*=(1,...,1)^T$

\item $NOP$ = no preconditioner($A^T$ used instead), $RIF$ = Robust Incomplete Factorization, $GREV$ = Greville's method

\item $RIF_{exp}$ are the expected results found by Dr Yin in his paper

\item $\backslash$ is the backslash function in Scilab (a direct method used to solve linear systems and least square problems)  

\item $BA$-$GMRES$ alone, with $GREV$ and with $RIF$ computed in C++

\item $NOP$, $RIF$ and $GREV$ use $\|r_k\|_2 = \|r_0\|_2$ as a convergence criterion in $AB$-$GMRES$

\item dnc = do not converge within the given parameters (for $\backslash$, understand do not find a solution within an acceptable time)

\end{itemize}

\subsubsection{Matrices of Dr Yin}
	
\begin{tabular}{|c|c||c||c|c|c|}
	\hline
	Solver & & \multicolumn{4}{c|}{$BA$-$GMRES$}\\	
	\hline
	Preconditoner & & $RIF_{exp}$ & $NOP$ & $RIF$ & $\backslash$ \\
	\hline       
    RANDL1T               & \multicolumn{5}{c|}{} \\
    \hline
    $3000 \times 30000$  & nb\_iter        & 12   & 134  & 14   & dnc \\
   	$(\tau_d = 0.4)$     & cpu\_tps prec.  & -    & -    & 0.57 & -   \\ 
   	                     & cpu\_tps method & 5.01 & 0.47 & 0.07 & -   \\  
	\hline
    RANDL2T               & \multicolumn{5}{c|}{} \\
    \hline
    $3000 \times 30000$  & nb\_iter        & 25   & 718  & 27   & dnc \\
   	$(\tau_d = 0.7)$     & cpu\_tps prec.  & -    & -    & 0.57 & -   \\ 
   	                     & cpu\_tps method & 5.17 & 8.15 & 0.14 & -   \\  
	\hline
    RANDL3T               & \multicolumn{5}{c|}{} \\
    \hline
    $3000 \times 30000$  & nb\_iter        & 75   & dnc & 66    & dnc \\
   	$(\tau_d = 0.8)$     & cpu\_tps prec.  & -    & -   & 0.59  & -   \\ 
   	                     & cpu\_tps method & 5.67 & -   & 0.45  & -   \\  
	\hline
    RANDL4T               & \multicolumn{5}{c|}{} \\
    \hline
    $3000 \times 30000$  & nb\_iter        & 106  & dnc & 200  & dnc \\
   	$(\tau_d = 0.5)$     & cpu\_tps prec.  & -    & -   & 0.66 & -   \\ 
   	                     & cpu\_tps method & 7.21 & -   & 4.60 & -   \\  
	\hline
    RANDL5T               & \multicolumn{5}{c|}{} \\
    \hline
    $3000 \times 30000$  & nb\_iter        & 322   & dnc & 348  & dnc \\
   	$(\tau_d = 0.9)$     & cpu\_tps prec.  & -     & -   & 0.66 & -   \\ 
   	                     & cpu\_tps method & 15.11 & -   & 7.43 & -   \\  
	\hline
    RANDL6T               & \multicolumn{5}{c|}{} \\
    \hline
    $3000 \times 30000$  & nb\_iter        & 218   & dnc & 146  & dnc \\
   	$(\tau_d = 0.01)$    & cpu\_tps prec.  & -     & -   & 3.21 & -   \\ 
   	                     & cpu\_tps method & 26.99 & -   & 7.90 & -   \\  
	\hline					
    RANDL7T               & \multicolumn{5}{c|}{} \\
    \hline
    $3000 \times 30000$  & nb\_iter        & 450   & dnc & 415   & dnc \\
   	$(\tau_d = 0.04)$    & cpu\_tps prec.  & -     & -   & 2.69  & -   \\ 
   	                     & cpu\_tps method & 43.76 & -   & 22.23 & -   \\  
	\hline		
\end{tabular}  
 	         
\end{document}
